### Class

# WebKitWebExtension DOMFile

#### Description

    class WebKitWebExtension.DOMFile : WebKitWebExtension.DOMBlob {
      parent_instance: WebKitDOMBlob
    }

No description available.

#### Ancestors

- WebKitDOMBlob
- WebKitDOMObject
- GObject

#### Instance methods

###### webkit_dom_file_get_name

No description available.

deprecated: 2.22

##### Methods inherited from WebKitDOMBlob (1)

###### webkit_dom_blob_get_size

No description available.

deprecated: 2.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKitWebExtension.DOMFile:name

No description available.

##### Properties inherited from WebKitDOMBlob (1)

###### WebKitWebExtension.DOMBlob:size

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKitWebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitWebExtensionDOMFileClass {
      WebKitDOMBlobClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitDOMBlobClass`
  No description available.